@extends($activeTemplate . 'layouts.frontend')
@section('content')
<div id="appCapsule">
    <div class="container-fluid py-3 mb-2 bg-default">
        <div class="row align-items-center">
            <div class="col pt-1 ps-2">
                <h2 class="text-light">Membership Plan</h2>
                <h6 class="text-light mb-0">Join with us.</h6>
            </div>
            <div class="col-auto text-center">
                <img src="{{asset('assets/images/2d-icon/4/deposit-2.png')}}" width="100px">
            </div>
        </div>
    </div>
    <div class="section-sm pricing-section mb-2">
        <div class="container-xl">
            <div class="row g-3 justify-content-center">
                @forelse ($plans as $plan)
                    <div class="col-sm-6 col-lg-4">
                    <!-- card block -->
                        <div class="card-block bg--primary">
                            <div class="card-main">

                                <div class="card-button dropdown mt-2 me-1">
                                    @if (@auth()->user()->runningPlan && @auth()->user()->plan_id == $plan->id)
                                        <button class="btn btn-link btn-icon disabled">@lang('Current Package')</button>
                                    @else
                                        <button class="btn btn-link btn btn-light buyBtn" data-plan="{{ $plan }}">
                                            @lang('Buy')
                                        </button>
                                    @endif
                                </div>
                                <div class="balance">
                                    <span class="label">Plan Name</span>
                                    <h1 class="title">{{ __($plan->name) }}
                                    @if ($plan->highlight == 1)
                                        <span class="fontsize-caption px-1 rounded bg-success">@lang('Popular')</span>
                                    @endif
                                    </h1>
                                </div>
                                <div class="in">
                                    <div class="card-number">
                                        <span class="label">Price</span>
                                        {{ __(showAmount($plan->price)) }} {{ $general->cur_text }}
                                    </div>
                                    <div class="bottom">
                                        <div class="card-expiry"><span class="label">@lang('Validity')</span> {{ $plan->validity }} @lang('Days')</div>
                                        <div class="card-expiry">
                                            <span class="label">
                                                @lang('Reffer Bonus')
                                            </span>
                                            <a href="javascript:void(0)"
                                                data-plan_id="{{ $plan->id }}"
                                                class="btn btn-outline-light btn-sm refBtn">
                                                View All
                                            </a>
                                        </div>
                                        <div class="card-ccv">
                                            <span class="label">
                                                @lang('Earning Details')
                                            </span>
                                            <a href="javascript:void(0)"
                                                data-bs-toggle="modal"
                                                data-bs-target="#earnDetailsModal{{$plan->id}}"
                                                data-plan_id="{{ $plan->id }}"
                                                class="btn btn-outline-light btn-sm">
                                                Details
                                            </a>
                                        </div>
                                        {{-- <div class="card-ccv"><span class="label">@lang('Daily Limit')</span> {{ $plan->daily_limit }} @lang('Ads')</div> --}}
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!-- end card block -->
                    </div>

                    <!-- Modal -->
                    <div class="modal fade" id="earnDetailsModal{{ $plan->id }}" tabindex="-1" aria-labelledby="earnDetailsModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-sm modal-dialog-centered">
                            <div class="modal-content">
                                <div class="modal-header">
                                <h5 class="modal-title" id="earnDetailsModalLabel">Earning Details</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <ul class="list-group">
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>Daily Ads</span>
                                            <span>{{ $plan->daily_limit }}</span>
                                        </li>
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>Ads Rate</span>
                                            <span>{{ showAmount($plan->ptc_rate) }} {{$general->cur_text}}</span>
                                        </li>
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>Daily Earning</span>
                                            <span>{{ showAmount($plan->ptc_rate * $plan->daily_limit) }} {{$general->cur_text}}</span>
                                        </li>
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>Total Earning</span>
                                            <span>{{ showAmount(($plan->ptc_rate * $plan->daily_limit) * $plan->validity) }} {{$general->cur_text}}</span>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>

                @empty
                @endforelse
            </div>
        </div>

        <div class="modal custom--modal fade" id="BuyModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">

                    <form method="post" action="{{ route('user.buyPlan') }}">
                        @csrf
                        <input type="hidden" name="id">
                        <div class="modal-header">
                            <strong class="modal-title"> @lang('Confirmation to purches  ')<span class="planName"></span></strong>

                            <button type="button" class="close btn btn-sm btn-close" data-bs-dismiss="modal"></button>
                        </div>
                        <div class="modal-body">

                            @auth
                                <div class="form-group">
                                    @if (auth()->user()->runningPlan)
                                        <code class="d-block">@lang('If you subscribe to this one. Your old limitation will reset according to this package.')</code>
                                    @endif

                                    <h6 class="text-center dailyLimit"></h6>
                                    <p class="text-center refLevel"></p>
                                    <p class="text-center mt-1 validity"></p>

                                    <label>@lang('Select Wallet')</label>
                                    <select class="form-control  form-select selectMethod" name="wallet_type" required>
                                        <option value="">@lang('Select One')</option>
                                        @if (auth()->user()->balance > 0)
                                            <option value="deposit_wallet">@lang('Deposit Wallet - ' . $general->cur_sym . showAmount(auth()->user()->balance))</option>
                                        @endif
                                        <option value="checkout">Checkout</option>
                                        {{-- @foreach ($gatewayCurrency as $data)
                                            <option value="{{ $data->id }}" @selected(old('wallet_type') == $data->method_code) data-gateway="{{ $data }}">{{ $data->name }}</option>
                                        @endforeach --}}

                                    </select>
                                    <code class="gateway-info rate-info d-none">@lang('Rate'): 1 {{ $general->cur_text }}
                                        = <span class="rate"></span> <span class="method_currency"></span></code>
                                </div>

                                <style>
                                    /* gateway-section */
                                    .gatewayItem {
                                        padding: 10px;
                                        border-radius: 11px;
                                        border: 1px solid #dee2e6;
                                        cursor: pointer;
                                    }

                                    .gatewayActive {
                                        border: 2px solid #ffc107 !important;
                                    }

                                    .gatewayItem img {
                                        max-width: 110px;
                                        width: 100%;
                                        transition: transform .2s;
                                    }

                                    .gatewayItem img:hover {
                                        transform: scale(1.1);
                                    }
                                </style>
                                <div class="d-none gatewayItemBody mt-3">
                                    <input type="hidden" class="gatewayType">
                                    <div class="row">
                                        @foreach ($gatewayCurrency as $data)
                                            <div class="col-4">
                                                <div class="gatewayItem text-center" data-gateway="{{ $data }}">
                                                    <img width="100%" src="{{ getImage(imagePath()['gateway']['path'] . '/' . $data->image, imagePath()['gateway']['path']) }}" alt="">
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label>@lang('Invest Amount')</label>
                                    <div class="input-group">
                                        <input type="number" step="any" class="form-control form-control" name="amount" required>
                                        <span class="input-group-text text-white bg--primary px-1">{{ $general->cur_text }}</span>
                                    </div>
                                    <code class="gateway-info d-none">@lang('Charge'): <span class="charge"></span>
                                        {{ $general->cur_text }}. @lang('Total amount'): <span class="total"></span>
                                        {{ $general->cur_text }}</code>
                                </div>
                            @else
                                <p>@lang('Please login to subscribe plan')</p>
                            @endauth
                        </div>
                        <div class="modal-footer">
                            @auth
                                <button type="button" class="btn btn-dark text-white" data-bs-dismiss="modal">@lang('No')</button>
                                <button type="submit" class="btn btn--base text-white ">@lang('Yes')</button>
                            @else
                                <a href="{{ route('user.login') }}" class="btn btn--base text-white w-100">@lang('Login')</a>
                            @endauth
                        </div>

                    </form>

                </div>
            </div>
        </div>

        <!-- Modal -->
        <div class="modal fade" id="refModal" tabindex="-1" aria-labelledby="refModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                    <h5 class="modal-title" id="refModalLabel">Reffer Bonus</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <ul class="list-group appendRef">

                        </ul>
                    </div>
                </div>
            </div>
        </div>

    </div>

</div>
@endsection
@push('style')
    <style>
        .package-disabled {
            opacity: 0.5;
        }
    </style>
@endpush
@push('script')
<script>
    $(document).on('click', '.refBtn', function (e) {
        e.preventDefault()
        let plan_id = $(this).data('plan_id');
        let html = '';
        $.ajax({
            type: "post",
            url: "{{route('user.plan.reffer.details')}}",
            data: {
                "_token": "{{ csrf_token()}}",
                id : plan_id,
            },
            success: function (res) {
                // console.log(res.data);
                let levels = res.data.level;
                let commisions = res.data.commision;

                $.each(levels, function (index, value) {
                    html += `
                        <li class="list-group-item d-flex justify-content-between">
                            <span>${value}</span>
                            <span>${commisions[index]} %</span>
                        </li>
                    `
                });

                $('.appendRef').html(html);
                $('#refModal').modal('show');
            }

        });


    });
</script>


<script>
    $(document).on('change', '.selectMethod', function (e) {
        e.preventDefault();
        let value = $(this).val();
        if(value==='checkout'){
            $(this).removeAttr('name');
            $('.gatewayType').attr('name', 'wallet_type');
            $('.gatewayItemBody').removeClass('d-none');
        }else {
            $('.gatewayType').removeAttr('name');
            $(this).attr('name', 'wallet_type');
            $('.gatewayItemBody').addClass('d-none');
        }
    });

    $(document).on('click', '.gatewayItem', function (e) {
        e.preventDefault();
        let gateway = $(this).data('gateway');
        console.log(gateway);

        $('.gatewayItem').removeClass('gatewayActive');
        $(this).addClass('gatewayActive');

        $('[name=wallet_type]').val(gateway.id);

    });
</script>




    <script type="text/javascript">
        (function($) {
            "use strict";
            $('.buyBtn').click(function() {
                let symbol = '{{ $general->cur_sym }}';
                let currency = '{{ $general->cur_text }}';
                $('.gateway-info').addClass('d-none');
                let modal = $('#BuyModal');
                let plan = $(this).data('plan')
                modal.find('.planName').text(plan.name)
                modal.find('[name=id]').val(plan.id)
                let planPrice = parseFloat(plan.price).toFixed(2);
                modal.find('[name=amount]').val(planPrice);
                modal.find('[name=amount]').attr('readonly', true);

                modal.find('.dailyLimit').html(`Daily Ads Limit:<span class="text-danger"> ${plan.daily_limit}</span>`)
                modal.find('.refLevel').html(`Referral Level: <span class="text-danger">${plan.ref_level} </span>`)
                modal.find('.validity').html(`Plan Validity:  <span class="text-danger"> ${plan.validity} Days </span>`)

                $('[name=amount]').on('input', function() {
                    $('[name=wallet_type]').trigger('change');
                })

                $('[name=wallet_type]').change(function() {
                    var amount = $('[name=amount]').val();
                    if ($(this).val() != 'deposit_wallet' && $(this).val() != 'interest_wallet' && amount) {
                        var resource = $('select[name=wallet_type] option:selected').data('gateway');
                        var fixed_charge = parseFloat(resource.fixed_charge);
                        var percent_charge = parseFloat(resource.percent_charge);
                        var charge = parseFloat(fixed_charge + (amount * percent_charge / 100)).toFixed(2);
                        $('.charge').text(charge);
                        $('.rate').text(parseFloat(resource.rate));
                        $('.gateway-info').removeClass('d-none');
                        if (resource.currency == '{{ $general->cur_text }}') {
                            $('.rate-info').addClass('d-none');
                        } else {
                            $('.rate-info').removeClass('d-none');
                        }
                        $('.method_currency').text(resource.currency);
                        $('.total').text(parseFloat(charge) + parseFloat(amount));
                    } else {
                        $('.gateway-info').addClass('d-none');
                    }
                });
                modal.find('input[name=id]').val(plan.id);
                modal.modal('show');
            });
        })(jQuery);
    </script>
@endpush
