@extends($activeTemplate.'layouts.master')
@section('content')
<div id="appCapsule">
    <div class="container-fluid py-3 mb-2 bg-default">
        <div class="row align-items-center">
            <div class="col pt-1 ps-2">
                <h2 class="text-light">{{ __($pageTitle) }}</h2>
                <h6 class="text-light">You can <b> Deposit</b> here</h6>
                <h6 class="text-light">for<b> Purchasing</b> a Plan.</h6>
            </div>
            <div class="col-auto text-center">
                <img src="{{asset('assets/images/2d-icon/2/cards.png')}}" width="100px">
            </div>
        </div>
    </div>


    <div class="container">
        <div class="row">
            @foreach($gatewayCurrency as $data)
            <div class="col-6 col-sm-6 col-md-4 col-lg-3 col-xl-2 mb-2">
                <!-- Card -->
                <div class="card">
                    <div class="card-body">
                        <img width="100%" class="rounded" src="{{getImage(imagePath()['gateway']['path'].'/'. $data->image,imagePath()['gateway']['path'])}}" alt="">
                    </div>
                    <div class="card-footer">
                        <button type="button" class="btn btn--base w-100 rounded-pill modalOpen" data-id="{{ $data->id }}"
                            data-name="{{ $data->name }}" data-resource="{{ $data }}">
                            PAY NOW
                        </button>
                    </div>
                </div>
            </div>
            @endforeach
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="depositModal" tabindex="-1" aria-labelledby="depositModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="depositModalLabel"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="{{ route('user.deposit.insert') }}" method="post">
                        @csrf
                        <input type="hidden" name="currency">
                        <input type="hidden" name="gateway">
                        <ul class="list-group">
                            <li class="list-group-item d-flex justify-content-between">
                                <span>@lang('Limit')</span>
                                <span><span class="min fw-bold">0</span> {{ __($general->cur_text) }} - <span
                                        class="max fw-bold">0</span> {{ __($general->cur_text) }}</span>
                            </li>
                            <li class="list-group-item d-flex justify-content-between">
                                <span>1 {{ __($general->cur_text) }} =</span>
                                <span><span class="rate fw-bold">0</span></span>
                            </li>
                        </ul>

                        <ul class="list-group appendData d-none">

                        </ul>

                        <div class="form-group mt-3">
                            <label for="amount" class="form--label">@lang('Amount')</label>
                            <div class="input-group">
                                <input type="number" step="any" name="amount" class="form-control form--control" value="{{ old('amount') }}" id="amount" autocomplete="off" required>
                                <span class="input-group-text bg--base">{{ $general->cur_text }}</span>
                            </div>
                        </div>

                        <button type="submit" class="btn btn--base w-100 mt-3">@lang('Submit')</button>
                    </form>
                </div>
            </div>
        </div>
    </div>




    {{-- <div class="cmn-section">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <form action="{{route('user.deposit.insert')}}" method="post">
                        @csrf
                        <input type="hidden" name="method_code">
                        <input type="hidden" name="currency">
                        <div class="card">
                            <div class="card-body">
                                <div class="form-group basic mt-1">
                                    <label  class="label">@lang('Select Gateway')</label>
                                    <select class="form-select form--select" name="gateway" required>
                                        <option value="">@lang('Select One')</option>
                                        @foreach($gatewayCurrency as $data)
                                        <option value="{{$data->method_code}}" @selected(old('gateway') == $data->method_code) data-gateway="{{ $data }}">{{$data->name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group basic mt-1">
                                    <label  class="label">@lang('Amount')</label>
                                    <div class="input-group">
                                        <input type="number" step="any" name="amount" class="form-control" value="{{ old('amount') }}" autocomplete="off" required>
                                        <span class="input-group-text">{{ $general->cur_text }}</span>
                                    </div>
                                </div>
                                <div class="mt-3 preview-details d-none">
                                    <ul class="list-group">
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>@lang('Limit')</span>
                                            <span><span class="min fw-bold">0</span> {{__($general->cur_text)}} - <span class="max fw-bold">0</span> {{__($general->cur_text)}}</span>
                                        </li>
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>@lang('Charge')</span>
                                            <span><span class="charge fw-bold">0</span> {{__($general->cur_text)}}</span>
                                        </li>
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>@lang('Payable')</span> <span><span class="payable fw-bold"> 0</span> {{__($general->cur_text)}}</span>
                                        </li>
                                        <li class="list-group-item justify-content-between d-none rate-element">

                                        </li>
                                        <li class="list-group-item justify-content-between d-none in-site-cur">
                                            <span>@lang('In') <span class="method_currency"></span></span>
                                            <span class="final_amo fw-bold">0</span>
                                        </li>
                                        <li class="list-group-item justify-content-center crypto_currency d-none">
                                            <span>@lang('Conversion with') <span class="method_currency"></span> @lang('and final value will Show on next step')</span>
                                        </li>
                                    </ul>
                                </div>
                                <button type="submit" class="btn btn--base text-white w-100 mt-3">@lang('Submit')</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div> --}}
</div>
@endsection

@push('script')
<script>
    let modal = $('#depositModal')
    let fixed_charge = '';
    let percent_charge = '';
    let resource = '';
    let rate = '';
    $(document).on('click', '.modalOpen', function(e) {
        e.preventDefault();
        let id = $(this).data('id');
        let name = $(this).data('name')
        resource = $(this).data('resource')
        let method_code = resource.method_code
        fixed_charge = parseFloat(resource.fixed_charge);
        percent_charge = parseFloat(resource.percent_charge);
        rate = parseFloat(resource.rate)
        // $('.fixed_charge').html(fixed_charge);
        // $('.percent_charge').html(percent_charge);
        $('.rate').html(rate+' '+resource.currency);
        $('.min').text(parseFloat(resource.min_amount).toFixed(2));
        $('.max').text(parseFloat(resource.max_amount).toFixed(2));
        $('input[name=currency]').val(resource.currency);
        $('input[name=gateway]').val(method_code);

        console.log(resource);

        $('#depositModalLabel').html('Deposit with ' + name);
        $('[name=amount]').val('');

        $('.appendData').addClass('d-none');

        modal.modal('show')
    });
    $(document).on('keyup', '[name=amount]',function (e) {
        let amount = parseFloat($(this).val());
        let charge = parseFloat(fixed_charge + (amount * percent_charge / 100)).toFixed(2);
        let payable = parseFloat(amount)+parseFloat(charge);
        let inSingleCur = parseFloat(payable*rate).toFixed(2);

        let html = `
            <li class="list-group-item d-flex justify-content-between">
                <span>Charge</span>
                <span><span class="fw-bold">${charge}</span> {{ __($general->cur_text) }}</span>
            </li>
            <li class="list-group-item d-flex justify-content-between">
                <span>Payable</span>
                <span><span class="fw-bold">${payable}</span> {{ __($general->cur_text) }}</span>
            </li>
            <li class="list-group-item d-flex justify-content-between">
                <span>In ${resource.currency}</span>
                <span><span class="fw-bold">${inSingleCur}</span> ${resource.currency}</span>
            </li>
        `;

        $('.appendData').html(html);

        if (amount) {
            $('.appendData').removeClass('d-none');
        } else {
            $('.appendData').addClass('d-none');
        }

    });
</script>



    <script>
        (function ($) {
            "use strict";
            $('select[name=gateway]').change(function(){
                if(!$('select[name=gateway]').val()){
                    $('.preview-details').addClass('d-none');
                    return false;
                }
                var resource = $('select[name=gateway] option:selected').data('gateway');
                var fixed_charge = parseFloat(resource.fixed_charge);
                var percent_charge = parseFloat(resource.percent_charge);
                var rate = parseFloat(resource.rate)
                if(resource.method.crypto == 1){
                    var toFixedDigit = 8;
                    $('.crypto_currency').removeClass('d-none');
                }else{
                    var toFixedDigit = 2;
                    $('.crypto_currency').addClass('d-none');
                }
                $('.min').text(parseFloat(resource.min_amount).toFixed(2));
                $('.max').text(parseFloat(resource.max_amount).toFixed(2));
                var amount = parseFloat($('input[name=amount]').val());
                if (!amount) {
                    amount = 0;
                }
                if(amount <= 0){
                    $('.preview-details').addClass('d-none');
                    return false;
                }
                $('.preview-details').removeClass('d-none');
                var charge = parseFloat(fixed_charge + (amount * percent_charge / 100)).toFixed(2);
                $('.charge').text(charge);
                var payable = parseFloat((parseFloat(amount) + parseFloat(charge))).toFixed(2);
                $('.payable').text(payable);
                var final_amo = (parseFloat((parseFloat(amount) + parseFloat(charge)))*rate).toFixed(toFixedDigit);
                $('.final_amo').text(final_amo);
                if (resource.currency != '{{ $general->cur_text }}') {
                    var rateElement = `<span class="fw-bold">@lang('Conversion Rate')</span> <span><span  class="fw-bold">1 {{__($general->cur_text)}} = <span class="rate">${rate}</span>  <span class="method_currency">${resource.currency}</span></span></span>`;
                    $('.rate-element').html(rateElement)
                    $('.rate-element').removeClass('d-none');
                    $('.in-site-cur').removeClass('d-none');
                    $('.rate-element').addClass('d-flex');
                    $('.in-site-cur').addClass('d-flex');
                }else{
                    $('.rate-element').html('')
                    $('.rate-element').addClass('d-none');
                    $('.in-site-cur').addClass('d-none');
                    $('.rate-element').removeClass('d-flex');
                    $('.in-site-cur').removeClass('d-flex');
                }
                $('.base-currency').text(resource.currency);
                $('.method_currency').text(resource.currency);
                $('input[name=currency]').val(resource.currency);
                $('input[name=method_code]').val(resource.method_code);
                $('input[name=amount]').on('input');
            });
            $('input[name=amount]').on('input',function(){
                $('select[name=gateway]').change();
                $('.amount').text(parseFloat($(this).val()).toFixed(2));
            });
        })(jQuery);
    </script>
@endpush
