@extends($activeTemplate.'layouts.master')
@section('content')
<div id="appCapsule">
    <div class="container-fluid py-3 mb-2 bg-default">
        <div class="row align-items-center">
            <div class="col pt-1 ps-2">
                <h2 class="text-light">{{ __($pageTitle) }}</h2>
                <h6 class="text-light">You can <b> Withdraw</b> here</h6>
            </div>
            <div class="col-auto text-center">
                <img src="{{asset('assets/images/2d-icon/2/cashout.png')}}" width="100px">
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            @foreach ($withdrawMethod as $item)
                <div class="col-6 col-sm-6 col-md-4 col-lg-3 col-xl-2 mb-2">
                    <div class="card custom--card">
                        <div class="card-body">
                            <img width="100%" class="rounded"
                                src="{{ getImage(imagePath()['gateway']['path'] . '/' . $item->image, imagePath()['gateway']['path']) }}"
                                alt="">
                            <button class="btn btn--base w-100 mt-3 rounded-pill modalOpen" data-id="{{ $item->id }}"
                                data-name="{{ $item->name }}" data-resource="{{ $item }}">
                                WITHDRAW NOW
                            </button>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="withdrawModal" tabindex="-1" aria-labelledby="withdrawModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="withdrawModalLabel"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="{{ route('user.withdraw.money') }}" method="post">
                        @csrf
                        <input type="hidden" name="currency">
                        <input type="hidden" name="method_code">
                        <ul class="list-group">
                            <li class="list-group-item d-flex justify-content-between">
                                <span>@lang('Limit')</span>
                                <span><span class="min fw-bold">{{auth()->user()->plan->min_withdraw}}</span> {{ __($general->cur_text) }} - <span
                                        class="max fw-bold">{{auth()->user()->plan->max_withdraw}}</span> {{ __($general->cur_text) }}</span>
                            </li>
                            <li class="list-group-item d-flex justify-content-between">
                                <span>1 {{ __($general->cur_text) }} =</span>
                                <span><span class="rate fw-bold">0</span></span>
                            </li>
                        </ul>

                        <ul class="list-group appendData d-none">

                        </ul>

                        <div class="form-group mt-3">
                            <label for="amount" class="form--label">@lang('Amount')</label>
                            <div class="input-group">
                                <input type="number" step="any" name="amount" class="form-control form--control" value="{{ old('amount') }}" id="amount" autocomplete="off" required>
                                <span class="input-group-text bg--base">{{ $general->cur_text }}</span>
                            </div>
                        </div>

                        <button type="submit" class="btn btn--base w-100 mt-3">@lang('Submit')</button>
                    </form>
                </div>
            </div>
        </div>
    </div>






    {{-- <section class="cmn-section">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-body">
                            <form action="{{route('user.withdraw.money')}}" method="post">
                                @csrf
                                <div class="form-group  basic">
                                    <label class="label">@lang('Method')</label>
                                    <select class="form-select form--select" name="method_code" required>
                                        <option value="">@lang('Select Gateway')</option>
                                        @foreach($withdrawMethod as $data)
                                            <option value="{{ $data->id }}" data-resource="{{$data}}">  {{__($data->name)}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group basic">
                                    <label class="label">@lang('Amount')</label>
                                    <div class="input-group">
                                        <input type="number" step="any" name="amount" value="{{ old('amount') }}" class="form-control" required>
                                        <span class="input-group-text ">{{ $general->cur_text }}</span>
                                    </div>
                                </div>
                                <div class="mt-3 preview-details d-none">
                                    <ul class="list-group text-center">
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>@lang('Limit')</span>
                                            <span><span class="min fw-bold">0</span> {{__($general->cur_text)}} - <span class="max fw-bold">0</span> {{__($general->cur_text)}}</span>
                                        </li>
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>@lang('Charge')</span>
                                            <span><span class="charge fw-bold">0</span> {{__($general->cur_text)}}</span>
                                        </li>
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>@lang('Receivable')</span> <span><span class="receivable fw-bold"> 0</span> {{__($general->cur_text)}} </span>
                                        </li>
                                        <li class="list-group-item d-none justify-content-between rate-element">

                                        </li>
                                        <li class="list-group-item d-none justify-content-between in-site-cur">
                                            <span>@lang('In') <span class="base-currency"></span></span>
                                            <strong class="final_amo">0</strong>
                                        </li>
                                    </ul>
                                </div>
                                <button type="submit" class="btn btn-primary bg--primary w-100 mt-3">@lang('Submit')</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section> --}}
</div>

@endsection

@push('script')


<script>
    let modal = $('#withdrawModal')
    let fixed_charge = '';
    let percent_charge = '';
    let resource = '';
    let rate = '';
    $(document).on('click', '.modalOpen', function(e) {
        e.preventDefault();
        let id = $(this).data('id');
        let name = $(this).data('name')
        resource = $(this).data('resource')
        fixed_charge = parseFloat(resource.fixed_charge);
        percent_charge = parseFloat(resource.percent_charge);
        rate = parseFloat(resource.rate);
        $('.rate').html(rate+' '+resource.currency);
        // $('.min').text(parseFloat(resource.min_limit).toFixed(2));
        // $('.max').text(parseFloat(resource.max_limit).toFixed(2));
        $('input[name=currency]').val(resource.currency);
        $('input[name=method_code]').val(id);

        console.log(resource);

        $('#withdrawModalLabel').html('Withdraw with ' + name);

        $('[name=amount]').val('');
        modal.modal('show')
    });

    $(document).on('keyup', '[name=amount]',function (e) {
        let amount = parseFloat($(this).val());
        let charge = parseFloat(fixed_charge + (amount * percent_charge / 100)).toFixed(2);
        let receivable = parseFloat(amount)-parseFloat(charge);
        let inSingleCur = parseFloat(receivable*rate).toFixed(2);

        let html = `
            <li class="list-group-item d-flex justify-content-between">
                <span>Charge</span>
                <span><span class="fw-bold">${charge}</span> {{ __($general->cur_text) }}</span>
            </li>
            <li class="list-group-item d-flex justify-content-between">
                <span>Receivable</span>
                <span><span class="fw-bold">${receivable}</span> {{ __($general->cur_text) }}</span>
            </li>
            <li class="list-group-item d-flex justify-content-between">
                <span>In ${resource.currency}</span>
                <span><span class="fw-bold">${inSingleCur}</span> ${resource.currency}</span>
            </li>
        `;

        $('.appendData').html(html);

        if (amount) {
            $('.appendData').removeClass('d-none');
        } else {
            $('.appendData').addClass('d-none');
        }

    });

</script>






<script type="text/javascript">
    (function ($) {
            "use strict";
            $('select[name=method_code]').change(function(){
                if(!$('select[name=method_code]').val()){
                    $('.preview-details').addClass('d-none');
                    return false;
                }
                var resource = $('select[name=method_code] option:selected').data('resource');
                var fixed_charge = parseFloat(resource.fixed_charge);
                var percent_charge = parseFloat(resource.percent_charge);
                var rate = parseFloat(resource.rate)
                var toFixedDigit = 2;
                $('.min').text(parseFloat(resource.min_limit).toFixed(2));
                $('.max').text(parseFloat(resource.max_limit).toFixed(2));
                var amount = parseFloat($('input[name=amount]').val());
                if (!amount) {
                    amount = 0;
                }
                if(amount <= 0){
                    $('.preview-details').addClass('d-none');
                    return false;
                }
                $('.preview-details').removeClass('d-none');

                var charge = parseFloat(fixed_charge + (amount * percent_charge / 100)).toFixed(2);
                $('.charge').text(charge);
                if (resource.currency != '{{ $general->cur_text }}') {
                    var rateElement = `<span>@lang('Conversion Rate')</span> <span class="fw-bold">1 {{__($general->cur_text)}} = <span class="rate">${rate}</span>  <span class="base-currency">${resource.currency}</span></span>`;
                    $('.rate-element').html(rateElement);
                    $('.rate-element').removeClass('d-none');
                    $('.in-site-cur').removeClass('d-none');
                    $('.rate-element').addClass('d-flex');
                    $('.in-site-cur').addClass('d-flex');
                }else{
                    $('.rate-element').html('')
                    $('.rate-element').addClass('d-none');
                    $('.in-site-cur').addClass('d-none');
                    $('.rate-element').removeClass('d-flex');
                    $('.in-site-cur').removeClass('d-flex');
                }
                var receivable = parseFloat((parseFloat(amount) - parseFloat(charge))).toFixed(2);
                $('.receivable').text(receivable);
                var final_amo = parseFloat(parseFloat(receivable)*rate).toFixed(toFixedDigit);
                $('.final_amo').text(final_amo);
                $('.base-currency').text(resource.currency);
                $('.method_currency').text(resource.currency);
                $('input[name=amount]').on('input');
            });
            $('input[name=amount]').on('input',function(){
                var data = $('select[name=method_code]').change();
                $('.amount').text(parseFloat($(this).val()).toFixed(2));
            });
        })(jQuery);
</script>
@endpush
