@extends($activeTemplate.'layouts.master')
@section('content')
<div id="appCapsule">
    <div class="container-fluid py-3 mb-2 bg-default">
        <div class="row align-items-center">
            <div class="col pt-1 ps-2">
                <h2 class="text-light">{{ __($pageTitle) }}</h2>
                <h6 class="text-light">You can <b> Withdraw</b> here</h6>
            </div>
            <div class="col-auto text-center">
                <img src="{{asset('assets/images/2d-icon/2/cashout.png')}}" width="100px">
            </div>
        </div>
    </div>
    <section class="cmn-section">
    	<div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <div class="card custom--card">
                        <div class="card-header">
                            <h5 class="title">@lang('Withdraw Via') {{ $withdraw->method->name }}</h5>
                        </div>
                        <div class="card-body">
                            <form action="{{route('user.withdraw.submit')}}" method="post" enctype="multipart/form-data">
                                @csrf
                                <div class="mb-2">
                                    @php
                                        echo $withdraw->method->description;
                                    @endphp
                                </div>

                                <x-viser-form identifier="id" identifierValue="{{ $withdraw->method->form_id }}" />

                                @if(auth()->user()->ts)
                                <div class="form-group basic">
                                    <label class="label">@lang('Google Authenticator Code')</label>
                                    <input type="text" name="authenticator_code" class="form-control form--control" required>
                                </div>
                                @endif
                                <div class="form-group py-2">
                                    <button type="submit" class="btn btn--base text-white w-100">@lang('Submit')</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <div class="py-5"></div>
</div>
@endsection
