<?php $__env->startSection('panel'); ?>
    <div class="row justify-content-center">
        <?php if(request()->routeIs('admin.deposit.list') || request()->routeIs('admin.deposit.method') || request()->routeIs('admin.users.deposits') || request()->routeIs('admin.users.deposits.method')): ?>
            <div class="col-xxl-3 col-sm-6 mb-30">
                <div class="widget-two box--shadow2 b-radius--5 bg--success has-link">
                    <a href="<?php echo e(route('admin.deposit.successful')); ?>" class="item-link"></a>
                    <div class="widget-two__content">
                        <h2 class="text-white"><?php echo e(__($general->cur_sym)); ?><?php echo e(showAmount($successful)); ?></h2>
                        <p class="text-white"><?php echo app('translator')->get('Successful Deposit'); ?></p>
                    </div>
                </div><!-- widget-two end -->
            </div>
            <div class="col-xxl-3 col-sm-6 mb-30">
                <div class="widget-two box--shadow2 b-radius--5 bg--6 has-link">
                    <a href="<?php echo e(route('admin.deposit.pending')); ?>" class="item-link"></a>
                    <div class="widget-two__content">
                        <h2 class="text-white"><?php echo e(__($general->cur_sym)); ?><?php echo e(showAmount($pending)); ?></h2>
                        <p class="text-white"><?php echo app('translator')->get('Pending Deposit'); ?></p>
                    </div>
                </div><!-- widget-two end -->
            </div>
            <div class="col-xxl-3 col-sm-6 mb-30">
                <div class="widget-two box--shadow2 has-link b-radius--5 bg--pink">
                    <a href="<?php echo e(route('admin.deposit.rejected')); ?>" class="item-link"></a>
                    <div class="widget-two__content">
                        <h2 class="text-white"><?php echo e(__($general->cur_sym)); ?><?php echo e(showAmount($rejected)); ?></h2>
                        <p class="text-white"><?php echo app('translator')->get('Rejected Deposit'); ?></p>
                    </div>
                </div><!-- widget-two end -->
            </div>
            <div class="col-xxl-3 col-sm-6 mb-30">
                <div class="widget-two box--shadow2 has-link b-radius--5 bg--dark">
                    <a href="<?php echo e(route('admin.deposit.initiated')); ?>" class="item-link"></a>
                    <div class="widget-two__content">
                        <h2 class="text-white"><?php echo e(__($general->cur_sym)); ?><?php echo e(showAmount($initiated)); ?></h2>
                        <p class="text-white"><?php echo app('translator')->get('Initiated Deposit'); ?></p>
                    </div>
                </div><!-- widget-two end -->
            </div>
        <?php endif; ?>

        <div class="col-md-12">
            <div class="card b-radius--10">
                <div class="card-body p-0">
                    <div class="table-responsive--sm table-responsive">
                        <table class="table table--light style--two">
                            <thead>
                                <tr>
                                    <th><?php echo app('translator')->get('Gateway | Transaction'); ?></th>
                                    <th><?php echo app('translator')->get('User'); ?></th>
                                    <th><?php echo app('translator')->get('Amount'); ?></th>
                                    
                                    <th><?php echo app('translator')->get('Date-Time'); ?></th>
                                    <th><?php echo app('translator')->get('Status'); ?></th>
                                    <th class="text-center"><?php echo app('translator')->get('Action'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $deposits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deposit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <?php
                                        $details = $deposit->detail ? json_encode($deposit->detail) : null;
                                    ?>
                                    <tr>
                                        <td>
                                            <span class="fw-bold"> <a href="<?php echo e(appendQuery('method', @$deposit->gateway->alias)); ?>"><?php echo e(__(@$deposit->gateway->name)); ?></a> </span>
                                            <br>
                                            <small> <?php echo e($deposit->trx); ?> </small>
                                        </td>

                                        <td>
                                            <span class="fw-bold"><?php echo e($deposit->user->fullname); ?></span>
                                            <br>
                                            <span class="small">
                                                <a href="<?php echo e(appendQuery('search', @$deposit->user->username)); ?>"><span>@</span><?php echo e($deposit->user->username); ?></a>
                                            </span>
                                        </td>
                                        <td>
                                            <?php echo e(__($general->cur_sym)); ?><?php echo e(showAmount($deposit->amount)); ?> + <span class="text-danger" title="<?php echo app('translator')->get('charge'); ?>"><?php echo e(showAmount($deposit->charge)); ?> </span>
                                            <br>
                                            <strong title="<?php echo app('translator')->get('Amount with charge'); ?>">
                                                <?php echo e(showAmount($deposit->amount + $deposit->charge)); ?> <?php echo e(__($general->cur_text)); ?>

                                            </strong>
                                        </td>
                                        
                                        <td>
                                            <?php echo e(showDateTime($deposit->created_at)); ?><br><?php echo e(diffForHumans($deposit->created_at)); ?>

                                        </td>
                                        <td>
                                            <?php echo $deposit->statusBadge ?>
                                        </td>
                                        <td>
                                            <a href="<?php echo e(route('admin.deposit.details', $deposit->id)); ?>"
                                                data-bs-toggle="modal" data-bs-target="#detailModal<?php echo e($deposit->id); ?>"
                                                class="btn btn-sm btn--primary ms-1">
                                                <?php echo app('translator')->get('Details'); ?>
                                            </a>
                                            <?php if($deposit->status == 2): ?>
                                                <a class="btn btn-sm btn--success ms-1 accptBtn"
                                                    data-action="<?php echo e(route('admin.deposit.approve', $deposit->id)); ?>"
                                                    data-question="<?php echo app('translator')->get('Are you sure to approve this transaction?'); ?>"
                                                    >
                                                    <?php echo app('translator')->get('Accpet'); ?>
                                                </a>
                                                <a class="btn btn-sm btn--danger ms-1 rejectBtn"
                                                    data-id="<?php echo e($deposit->id); ?>"
                                                    data-info="<?php echo e($details); ?>"
                                                    data-amount="<?php echo e(showAmount($deposit->amount)); ?> <?php echo e(__($general->cur_text)); ?>"
                                                    data-username="<?php echo e(@$deposit->user->username); ?>"
                                                    >
                                                    <?php echo app('translator')->get('Reject'); ?>
                                                </a>
                                            <?php endif; ?>
                                        </td>
                                    </tr>

                                    
                                    <div id="detailModal<?php echo e($deposit->id); ?>" class="modal fade" tabindex="-1" role="dialog">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title"><?php echo app('translator')->get('Payment Details'); ?></h5>
                                                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                                                        <i class="las la-times"></i>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <ul class="list-group">
                                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                                            <?php echo app('translator')->get('Date'); ?>
                                                            <span class="fw-bold"><?php echo e(showDateTime($deposit->created_at)); ?></span>
                                                        </li>
                                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                                            <?php echo app('translator')->get('Transaction Number'); ?>
                                                            <span class="fw-bold"><?php echo e($deposit->trx); ?></span>
                                                        </li>
                                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                                            <?php echo app('translator')->get('Username'); ?>
                                                            <span class="fw-bold">
                                                                <a href="<?php echo e(route('admin.users.detail', $deposit->user_id)); ?>"><?php echo e(@$deposit->user->username); ?></a>
                                                            </span>
                                                        </li>
                                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                                            <?php echo app('translator')->get('Method'); ?>
                                                            <span class="fw-bold"><?php echo e(__(@$deposit->gateway->name)); ?></span>
                                                        </li>
                                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                                            <?php echo app('translator')->get('Amount'); ?>
                                                            <span class="fw-bold"><?php echo e(showAmount($deposit->amount )); ?> <?php echo e(__($general->cur_text)); ?></span>
                                                        </li>
                                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                                            <?php echo app('translator')->get('Charge'); ?>
                                                            <span class="fw-bold"><?php echo e(showAmount($deposit->charge )); ?> <?php echo e(__($general->cur_text)); ?></span>
                                                        </li>
                                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                                            <?php echo app('translator')->get('After Charge'); ?>
                                                            <span class="fw-bold"><?php echo e(showAmount($deposit->amount+$deposit->charge )); ?> <?php echo e(__($general->cur_text)); ?></span>
                                                        </li>
                                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                                            <?php echo app('translator')->get('Rate'); ?>
                                                            <span class="fw-bold">1 <?php echo e(__($general->cur_text)); ?>

                                                                = <?php echo e(showAmount($deposit->rate)); ?> <?php echo e(__($deposit->baseCurrency())); ?></span>
                                                        </li>
                                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                                            <?php echo app('translator')->get('Payable'); ?>
                                                            <span class="fw-bold"><?php echo e(showAmount($deposit->final_amo )); ?> <?php echo e(__($deposit->method_currency)); ?></span>
                                                        </li>
                                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                                            <?php echo app('translator')->get('Status'); ?>
                                                            <?php echo $deposit->statusBadge ?>
                                                        </li>
                                                        <?php if($deposit->admin_feedback): ?>
                                                            <li class="list-group-item">
                                                                <strong><?php echo app('translator')->get('Admin Response'); ?></strong>
                                                                <br>
                                                                <p><?php echo e(__($deposit->admin_feedback)); ?></p>
                                                            </li>
                                                        <?php endif; ?>
                                                    </ul>
                                                    <?php if($details || $deposit->status == Status::PAYMENT_PENDING): ?>
                                                        <div class="col-12 mt-2">
                                                            <div class="card b-radius--10 overflow-hidden box--shadow1">
                                                                <div class="card-body">
                                                                    <h5 class="card-title border-bottom pb-2"><?php echo app('translator')->get('Information'); ?></h5>
                                                                    <div class="row mt-2">
                                                                        <div class="col-md-12">
                                                                            <h6><?php echo e($deposit->gateway->unic_label); ?></h6>
                                                                            <p><?php echo e($deposit->transaction_id ? $deposit->transaction_id : 'N/A'); ?></p>
                                                                        </div>
                                                                    </div>
                                                                    <?php if($details != null): ?>
                                                                        <?php $__currentLoopData = json_decode($details); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                            <?php if($deposit->method_code >= 1000): ?>
                                                                            <div class="row mt-2">
                                                                                <div class="col-md-12">
                                                                                    <h6><?php echo e(__($val->name)); ?></h6>
                                                                                    <?php if($val->type == 'checkbox'): ?>
                                                                                        <?php echo e(implode(',',$val->value)); ?>

                                                                                    <?php elseif($val->type == 'file'): ?>
                                                                                        <?php if($val->value): ?>
                                                                                            <img width="400px" class="img-thumbnail" src="<?php echo e(asset(getFilePath('verify').'/'.$val->value)); ?>" alt="">
                                                                                        <?php else: ?>
                                                                                            <?php echo app('translator')->get('No File'); ?>
                                                                                        <?php endif; ?>
                                                                                    <?php else: ?>
                                                                                    <p><?php echo e(__($val->value)); ?></p>
                                                                                    <?php endif; ?>
                                                                                </div>
                                                                            </div>
                                                                            <?php endif; ?>
                                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                        <?php if($deposit->method_code < 1000): ?>
                                                                            <?php echo $__env->make('admin.deposit.gateway_data',['details'=>json_decode($details)], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                                                        <?php endif; ?>
                                                                    <?php endif; ?>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table><!-- table end -->
                    </div>
                </div>
                <?php if($deposits->hasPages()): ?>
                    <div class="card-footer py-4">
                        <?php echo e(paginateLinks($deposits)); ?>

                    </div>
                <?php endif; ?>
            </div><!-- card end -->
        </div>
    </div>


    
    <div id="rejectModal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo app('translator')->get('Reject Deposit Confirmation'); ?></h5>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <form id="rejectForm" action="<?php echo e(route('admin.deposit.reject')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="id">
                    <div class="modal-body">
                        <p><?php echo app('translator')->get('Are you sure to'); ?> <span class="fw-bold"><?php echo app('translator')->get('reject'); ?></span> <span class="fw-bold withdraw-amount text-success"></span> <?php echo app('translator')->get('deposit of'); ?> <span class="fw-bold withdraw-user"></span>?</p>

                        <div class="form-group">
                            <label class="mt-2"><?php echo app('translator')->get('Reason for Rejection'); ?></label>
                            <textarea name="message" maxlength="255" class="form-control" rows="5" required><?php echo e(old('message')); ?> Admin Rejected</textarea>
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn--primary w-100 h-45"><?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    
    <form id="accpetForm" action="" method="POST" hidden>
        <?php echo csrf_field(); ?>
        <button type="submit">Submit</button>
    </form>


    <?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
<script>

</script>


    
    <script>
            $(document).on('click', '.rejectBtn', function () {
                var modal = $('#rejectModal');
                modal.find('input[name=id]').val($(this).data('id'));
                modal.find('.withdraw-amount').text($(this).data('amount'));
                modal.find('.withdraw-user').text($(this).data('username'));
                // modal.modal('show');

                $('#rejectForm').submit();

            });

            $(document).on('click', '.accptBtn', function () {
                let action = $(this).data('action');
                $('#accpetForm').attr('action', action);
                $('#accpetForm').submit();
            });
    </script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <?php if(!request()->routeIs('admin.users.deposits') && !request()->routeIs('admin.users.deposits.method')): ?>
        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.search-form','data' => ['dateSearch' => 'yes']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('search-form'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['dateSearch' => 'yes']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
    <?php endif; ?>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/yesuntec/h43.ye-suntechdemo.pw/core/resources/views/admin/deposit/log.blade.php ENDPATH**/ ?>