<?php $__env->startSection('content'); ?>
<div id="appCapsule">
    <div class="container-fluid py-3 mb-2 bg-default">
        <div class="row align-items-center">
            <div class="col pt-1 ps-2">
                <h2 class="text-light">Membership Plan</h2>
                <h6 class="text-light mb-0">Join with us.</h6>
            </div>
            <div class="col-auto text-center">
                <img src="<?php echo e(asset('assets/images/2d-icon/4/deposit-2.png')); ?>" width="100px">
            </div>
        </div>
    </div>
    <div class="section-sm pricing-section mb-2">
        <div class="container-xl">
            <div class="row g-3 justify-content-center">
                <?php $__empty_1 = true; $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                    <div class="col-12 col-sm-6 col-md-6 col-lg-4 col-xl-3 mb-1">
                        <!-- card block -->
                        <div class="card">
                            <div class="card-header bg--primary text-center">
                                <h1 style="font-family: 'Rialto NF', sans-serif;" class="mt-1 mb-3 mx-auto"><?php echo e(__($plan->name)); ?></h1>
                            </div>
                            <div class="card-body">
                                <div class="card border border--primary mb-2" style="margin-top: -50px;">
                                    <div class="card-body">
                                        <h1 class="text-center mb-0 price"><?php echo e($general->cur_sym); ?> <?php echo e(__(getAmount($plan->price))); ?></h1>
                                    </div>
                                </div>

                                <ul class="listview simple-listview inset">
                                    <li class="list-group-item d-flex justify-content-between">
                                        <span>VALIDITY</span> <span><?php echo e($plan->validity); ?> <?php echo app('translator')->get('Days'); ?></span>
                                    </li>
                                    <li class="list-group-item d-flex justify-content-between">
                                        <span>Daily Ads</span>
                                        <span><?php echo e($plan->daily_limit); ?> PTC</span>
                                    </li>
                                    <li class="list-group-item d-flex justify-content-between">
                                        <span>Ads Rate</span>
                                        <span><?php echo e(getAmount($plan->ptc_rate)); ?> <?php echo e($general->cur_text); ?></span>
                                    </li>
                                    <li class="list-group-item d-flex justify-content-between">
                                        <span>Daily Earning</span>
                                        <span><?php echo e(getAmount($plan->ptc_rate * $plan->daily_limit)); ?> <?php echo e($general->cur_text); ?></span>
                                    </li>
                                    <li class="list-group-item d-flex justify-content-between">
                                        <span>Total Earning</span>
                                        <span><?php echo e(getAmount(($plan->ptc_rate * $plan->daily_limit) * $plan->validity)); ?> <?php echo e($general->cur_text); ?></span>
                                    </li>
                                    <li class="list-group-item d-flex justify-content-between">
                                        <span>Withdraw Limit</span>
                                        <span>Min: <?php echo e($general->cur_sym); ?><?php echo e(getAmount($plan->min_withdraw)); ?> , Max: <?php echo e($general->cur_sym); ?><?php echo e(getAmount($plan->max_withdraw)); ?></span>
                                    </li>
                                </ul>

                                <?php if($plan->reffers): ?>
                                    <h5 class="text-center mt-2 mb-1">Reffer Bonus</h5>
                                    <ul class="listview simple-listview inset">
                                        <?php $__currentLoopData = $plan->reffers->level; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li class="list-group-item d-flex justify-content-between">
                                                <span><?php echo e($value); ?></span> <span><?php echo e($plan->reffers->commision[$key]); ?> %</span>
                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                <?php endif; ?>

                                <?php if(@auth()->user()->runningPlan && @auth()->user()->plan_id == $plan->id): ?>
                                    <button class="btn btn-primary w-100 mt-3 rounded-pill disabled"><?php echo app('translator')->get('Current Package'); ?></button>
                                <?php else: ?>
                                    <button class="btn btn-primary w-100 buyBtn mt-3 rounded-pill" data-plan="<?php echo e($plan); ?>">
                                        <?php echo app('translator')->get('BUY NOW'); ?>
                                    </button>
                                <?php endif; ?>

                            </div>
                        </div>
                    </div>

                    

                    <!-- Modal -->
                    <div class="modal fade" id="earnDetailsModal<?php echo e($plan->id); ?>" tabindex="-1" aria-labelledby="earnDetailsModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-sm modal-dialog-centered">
                            <div class="modal-content">
                                <div class="modal-header">
                                <h5 class="modal-title" id="earnDetailsModalLabel">Earning Details</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <ul class="list-group">
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>Daily Ads</span>
                                            <span><?php echo e($plan->daily_limit); ?></span>
                                        </li>
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>Ads Rate</span>
                                            <span><?php echo e(showAmount($plan->ptc_rate)); ?> <?php echo e($general->cur_text); ?></span>
                                        </li>
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>Daily Earning</span>
                                            <span><?php echo e(showAmount($plan->ptc_rate * $plan->daily_limit)); ?> <?php echo e($general->cur_text); ?></span>
                                        </li>
                                        <li class="list-group-item d-flex justify-content-between">
                                            <span>Total Earning</span>
                                            <span><?php echo e(showAmount(($plan->ptc_rate * $plan->daily_limit) * $plan->validity)); ?> <?php echo e($general->cur_text); ?></span>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>

                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <?php endif; ?>
            </div>
        </div>

        <div class="modal custom--modal fade" id="BuyModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">

                    <form method="post" action="<?php echo e(route('user.buyPlan')); ?>">
                        <?php echo csrf_field(); ?>
                        <input type="hidden" name="id">
                        <div class="modal-header">
                            <strong class="modal-title"> <?php echo app('translator')->get('Confirmation to purches  '); ?><span class="planName"></span></strong>

                            <button type="button" class="close btn btn-sm btn-close" data-bs-dismiss="modal"></button>
                        </div>
                        <div class="modal-body">

                            <?php if(auth()->guard()->check()): ?>
                                <div class="form-group">
                                    <?php if(auth()->user()->runningPlan): ?>
                                        <code class="d-block"><?php echo app('translator')->get('If you subscribe to this one. Your old limitation will reset according to this package.'); ?></code>
                                    <?php endif; ?>

                                    <h6 class="text-center dailyLimit"></h6>
                                    <p class="text-center refLevel"></p>
                                    <p class="text-center mt-1 validity"></p>

                                    <label><?php echo app('translator')->get('Select Wallet'); ?></label>
                                    <select class="form-control  form-select selectMethod" name="wallet_type" required>
                                        <option value=""><?php echo app('translator')->get('Select One'); ?></option>
                                        <?php if(auth()->user()->balance > 0): ?>
                                            <option value="deposit_wallet"><?php echo app('translator')->get('Deposit Wallet - ' . $general->cur_sym . showAmount(auth()->user()->balance)); ?></option>
                                        <?php endif; ?>
                                        <option value="checkout">Checkout</option>
                                        

                                    </select>
                                    <code class="gateway-info rate-info d-none"><?php echo app('translator')->get('Rate'); ?>: 1 <?php echo e($general->cur_text); ?>

                                        = <span class="rate"></span> <span class="method_currency"></span></code>
                                </div>

                                <style>
                                    /* gateway-section */
                                    .gatewayItem {
                                        padding: 10px;
                                        border-radius: 11px;
                                        border: 1px solid #dee2e6;
                                        cursor: pointer;
                                    }

                                    .gatewayActive {
                                        border: 2px solid #ffc107 !important;
                                    }

                                    .gatewayItem img {
                                        max-width: 110px;
                                        width: 100%;
                                        transition: transform .2s;
                                    }

                                    .gatewayItem img:hover {
                                        transform: scale(1.1);
                                    }
                                </style>
                                <div class="d-none gatewayItemBody mt-3">
                                    <input type="hidden" class="gatewayType">
                                    <div class="row">
                                        <?php $__currentLoopData = $gatewayCurrency; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div class="col-4">
                                                <div class="gatewayItem text-center" data-gateway="<?php echo e($data); ?>">
                                                    <img width="100%" src="<?php echo e(getImage(imagePath()['gateway']['path'] . '/' . $data->image, imagePath()['gateway']['path'])); ?>" alt="">
                                                </div>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Invest Amount'); ?></label>
                                    <div class="input-group">
                                        <input type="number" step="any" class="form-control form-control" name="amount" required>
                                        <span class="input-group-text text-white bg--primary px-1"><?php echo e($general->cur_text); ?></span>
                                    </div>
                                    <code class="gateway-info d-none"><?php echo app('translator')->get('Charge'); ?>: <span class="charge"></span>
                                        <?php echo e($general->cur_text); ?>. <?php echo app('translator')->get('Total amount'); ?>: <span class="total"></span>
                                        <?php echo e($general->cur_text); ?></code>
                                </div>
                            <?php else: ?>
                                <p><?php echo app('translator')->get('Please login to subscribe plan'); ?></p>
                            <?php endif; ?>
                        </div>
                        <div class="modal-footer">
                            <?php if(auth()->guard()->check()): ?>
                                <button type="button" class="btn btn-dark text-white" data-bs-dismiss="modal"><?php echo app('translator')->get('No'); ?></button>
                                <button type="submit" class="btn btn--base text-white "><?php echo app('translator')->get('Yes'); ?></button>
                            <?php else: ?>
                                <a href="<?php echo e(route('user.login')); ?>" class="btn btn--base text-white w-100"><?php echo app('translator')->get('Login'); ?></a>
                            <?php endif; ?>
                        </div>

                    </form>

                </div>
            </div>
        </div>

        <!-- Modal -->
        <div class="modal fade" id="refModal" tabindex="-1" aria-labelledby="refModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                    <h5 class="modal-title" id="refModalLabel">Reffer Bonus</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <ul class="list-group appendRef">

                        </ul>
                    </div>
                </div>
            </div>
        </div>

    </div>

</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('style'); ?>
    <style>
        .package-disabled {
            opacity: 0.5;
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('script'); ?>
<script>
    $(document).on('click', '.refBtn', function (e) {
        e.preventDefault()
        let plan_id = $(this).data('plan_id');
        let html = '';
        $.ajax({
            type: "post",
            url: "<?php echo e(route('user.plan.reffer.details')); ?>",
            data: {
                "_token": "<?php echo e(csrf_token()); ?>",
                id : plan_id,
            },
            success: function (res) {
                // console.log(res.data);
                let levels = res.data.level;
                let commisions = res.data.commision;

                $.each(levels, function (index, value) {
                    html += `
                        <li class="list-group-item d-flex justify-content-between">
                            <span>${value}</span>
                            <span>${commisions[index]} %</span>
                        </li>
                    `
                });

                $('.appendRef').html(html);
                $('#refModal').modal('show');
            }

        });


    });
</script>


<script>
    $(document).on('change', '.selectMethod', function (e) {
        e.preventDefault();
        let value = $(this).val();
        if(value==='checkout'){
            $(this).removeAttr('name');
            $('.gatewayType').attr('name', 'wallet_type');
            $('.gatewayItemBody').removeClass('d-none');
        }else {
            $('.gatewayType').removeAttr('name');
            $(this).attr('name', 'wallet_type');
            $('.gatewayItemBody').addClass('d-none');
        }
    });

    $(document).on('click', '.gatewayItem', function (e) {
        e.preventDefault();
        let gateway = $(this).data('gateway');
        console.log(gateway);

        $('.gatewayItem').removeClass('gatewayActive');
        $(this).addClass('gatewayActive');

        $('[name=wallet_type]').val(gateway.id);

    });
</script>




    <script type="text/javascript">
        (function($) {
            "use strict";
            $('.buyBtn').click(function() {
                let symbol = '<?php echo e($general->cur_sym); ?>';
                let currency = '<?php echo e($general->cur_text); ?>';
                $('.gateway-info').addClass('d-none');
                let modal = $('#BuyModal');
                let plan = $(this).data('plan')
                modal.find('.planName').text(plan.name)
                modal.find('[name=id]').val(plan.id)
                let planPrice = parseFloat(plan.price).toFixed(2);
                modal.find('[name=amount]').val(planPrice);
                modal.find('[name=amount]').attr('readonly', true);

                modal.find('.dailyLimit').html(`Daily Ads Limit:<span class="text-danger"> ${plan.daily_limit}</span>`)
                modal.find('.refLevel').html(`Referral Level: <span class="text-danger">${plan.ref_level} </span>`)
                modal.find('.validity').html(`Plan Validity:  <span class="text-danger"> ${plan.validity} Days </span>`)

                $('[name=amount]').on('input', function() {
                    $('[name=wallet_type]').trigger('change');
                })

                $('[name=wallet_type]').change(function() {
                    var amount = $('[name=amount]').val();
                    if ($(this).val() != 'deposit_wallet' && $(this).val() != 'interest_wallet' && amount) {
                        var resource = $('select[name=wallet_type] option:selected').data('gateway');
                        var fixed_charge = parseFloat(resource.fixed_charge);
                        var percent_charge = parseFloat(resource.percent_charge);
                        var charge = parseFloat(fixed_charge + (amount * percent_charge / 100)).toFixed(2);
                        $('.charge').text(charge);
                        $('.rate').text(parseFloat(resource.rate));
                        $('.gateway-info').removeClass('d-none');
                        if (resource.currency == '<?php echo e($general->cur_text); ?>') {
                            $('.rate-info').addClass('d-none');
                        } else {
                            $('.rate-info').removeClass('d-none');
                        }
                        $('.method_currency').text(resource.currency);
                        $('.total').text(parseFloat(charge) + parseFloat(amount));
                    } else {
                        $('.gateway-info').addClass('d-none');
                    }
                });
                modal.find('input[name=id]').val(plan.id);
                modal.modal('show');
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/webesite/toptaskk.webesite.xyz/core/resources/views/templates/dark_gold/plans.blade.php ENDPATH**/ ?>