<?php $__env->startSection('panel'); ?>
<div class="row mb-none-30">
  <div class="col-md-12">
    <div class="card">
        <div class="card-body p-0">
            <div class="table-responsive--sm">
                <table class="table table--light style--two">
                    <thead>
                        <tr>
                            <th scope="col"><?php echo e(__('Plan')); ?></th>
                            <th scope="col"><?php echo e(__('Type')); ?></th>
                            <th scope="col"><?php echo e(__('Referral')); ?></th>
                            <th scope="col"><?php echo e(__('Action')); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $reffers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ref): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr>
                            <td><?php echo e($ref->plan?->name); ?></td>
                            <td><?php echo e(ucwords(str_replace('_',' ',$ref->type))); ?></td>
                            <td>
                                <?php $__currentLoopData = $ref->level; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $lv): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="mb-3">
                                        <span class="badge badge--primary"><?php echo e($lv . ' => ' . $ref->commision[$key]); ?> %</span>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </td>

                            <td>
                                <button class="btn btn-outline--primary btn-sm edit"
                                    data-route="<?php echo e(route('admin.reffer.update', $ref->id)); ?>"
                                    data-referral="<?php echo e($ref); ?>"
                                    >
                                    <i class="la la-pencil"></i> <?php echo app('translator')->get('Edit'); ?>
                                </button>
                                <button class="btn btn-outline--danger btn-sm delete"
                                    data-route="<?php echo e(route('admin.reffer.delete', $ref->id)); ?>"
                                    >
                                    <i class="la la-trash"></i> <?php echo app('translator')->get('Delete'); ?>
                                </button>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                        </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
  </div>
</div>


<div class="modal fade" id="add" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <form action="<?php echo e(route('admin.reffer.store')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo e(__('Add Commission')); ?></h5>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for=""><?php echo e(__('Plan')); ?></label>
                        <select name="plan_id" id="" class="form-control">
                            <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>


                    <div class="form-group">
                        <label for=""><?php echo e(__('Type')); ?></label>
                        <select name="type" id="" class="form-control">
                            <option value="plan_subscribe_commission">Plan Subscribe</option>
                            <option value="ptc_view_commission">Ptc View</option>
                        </select>
                    </div>


                    <div class="input-group mb-3 mt-3 ml-auto ">
                        <input type="number" class="form-control counter" placeholder="How Many Field You Want"
                            required>

                        <button class="btn btn--primary input-group-text" type="button" id="generator"><?php echo e(__('Generate')); ?></button>
                    </div>


                    <div class="append  ml-auto">

                    </div>


                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn--primary w-100">Create</button>
                </div>
            </div>
        </form>
    </div>
</div>


<div class="modal fade" id="delete" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <form action="" method="post">
            <?php echo csrf_field(); ?>
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo e(__('Delete Commission')); ?></h5>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <div class="modal-body">
                    <h4 class="text-center">
                        Are you sure to Delete?
                    </h4>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn--danger w-100">Yes, Delete</button>
                </div>
            </div>
        </form>
    </div>
</div>


<div class="modal fade" id="edit" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <form action="" method="post">
            <?php echo csrf_field(); ?>
            <?php echo method_field('PUT'); ?>
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo e(__('update Commission')); ?></h5>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for=""><?php echo e(__('Plan')); ?></label>
                        <select name="plan_id" id="plan" class="form-control">
                            <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>


                    <div class="form-group">
                        <label for=""><?php echo e(__('Type')); ?></label>
                        <select name="type" id="type" class="form-control">
                            <option value="plan_subscribe_commission">Plan Subscribe</option>
                            <option value="ptc_view_commission">Ptc View</option>
                        </select>
                    </div>


                    <div class="input-group mb-3 mt-3 ml-auto ">
                        <input type="number" class="form-control counterUpdate" placeholder="How Many Field You Want">

                        <button class="btn btn--primary input-group-text" type="button"
                            id="generatorUpdate"><?php echo e(__('Generate')); ?></button>
                    </div>


                    <div class="appendUpdate  ml-auto">



                    </div>


                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn--primary w-100">Update</button>
                </div>
            </div>
        </form>
    </div>
</div>





<?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>

<?php $__env->stopSection(); ?>
<?php $__env->startPush('breadcrumb-plugins'); ?>
    <button class="btn btn-outline--primary btn-sm add" data-id="0" data-act="Add" data-bs-toggle="modal" data-bs-target="#planModal"><i class="las la-plus"></i> <?php echo app('translator')->get('Add New'); ?></button>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('script'); ?>

<script>
    'use strict';
    $('.create-invest').hide();
    $('.create-interest').hide();

    $(document).ready(function() {


        $('.add').on('click', function() {
            const modal = $('#add');

            modal.modal('show')
        })

        $('.delete').on('click', function() {
            const modal = $('#delete');
            let url = $(this).data('route')
            modal.find('form').attr('action', url);

            modal.modal('show')
        })


        $(document).on('click','.edit', function() {
            const modal = $('#edit');

            let data = $(this).data('referral')
            let url = $(this).data('route')


            modal.find('form').attr('action', url);

            modal.find("#plan option[value='"+ data.plan_id +"']").attr("selected", "selected");
            modal.find("#type option[value='"+ data.type +"']").attr("selected", "selected");




            var html = "";

            for (let i = 0; i < data.level.length; i++) {
                html += `

                    <div class="input-group mb-3 mt-3 ">
                        <input class="btn btn--primary input-group-text" type="text"  name=level[] value="${data.level[i]}" readonly>
                        <input type="number" required class="form-control" name=commision[]
                            placeholder="Commision" value="${data.commision[i]}">

                        <button class="btn btn--primary text-light no-drop input-group-text" type="button"
                            >%</button>
                        <button class="btn btn--danger text-white delete_invest input-group-text" type="button"
                            >X</button>
                    </div>
         `

            }


            $('.appendUpdate').html(html).hide().slideDown('slow');

            modal.modal('show')
        })







        $(document).on('click', '#generator', function() {


            var value = $('.counter').val();



            if (value > 5) {
                iziToast.error({
                    message: 'Max Limit of Refferal level is 5 ',
                    position: 'topRight'
                });

                return;
            }
            var viewHtml = "";

            for (let i = 0; i < value; i++) {
                viewHtml += `

                    <div class="input-group mb-3 mt-3 ">
                            <input class="btn btn--primary input-group-text" type="text"  name=level[] value="level ${i+1}" readonly>
                            <input type="number" required class="form-control" name=commision[]
                                placeholder="Commision">
                            <button class="btn btn--primary input-group-text text-light no-drop" type="button"
                                >%</button>
                            <button class="btn btn--danger input-group-text text-white delete_invest" type="button"
                                >X</button>

                    </div>
         `
                $('.append').html(viewHtml).hide().slideDown('slow');


            }


        });


        $(document).on('click', '#generatorUpdate', function() {



            var value = $('.counterUpdate').val();



            if (value > 5) {
                iziToast.error({
                    message: 'Max Limit of Refferal level is 5 ',
                    position: 'topRight'
                });

                return;
            }
            var viewHtml = "";

            for (let i = 0; i < value; i++) {
                viewHtml += `

                <div class="input-group mb-3 mt-3 ">
                    <input class="btn btn--primary" type="text"  name=level[] value="level ${i+1}" readonly>
                    <input type="number" required class="form-control" name=commision[]
                        placeholder="Commision">
                    <button class="btn btn--primary text-light no-drop" type="button"
                        >%</button>
                    <button class="btn btn--danger text-white delete_invest" type="button"
                        >X</button>
                </div>
                `
                $('.appendUpdate').html(viewHtml).hide().slideDown('slow');


            }


        });

        $(document).on('click', '.delete_invest', function() {
            $(this).closest('.input-group').remove();

            var count = $('.append_invest').children().length;

            if (count == 0) {
                $('.create-invest').hide();
            }

        });
        // $('#interest').on('click', function() {
        //     var value = $('.interest_commision').val();
        //     var viewHtml = "";

        //     if (value > 5) {
        //         iziToast.error({
        //             message: 'Max Limit of Refferal level is 5 ',
        //             position: 'topRight'
        //         });

        //         return;
        //     }


        //     for (let i = 0; i < value; i++) {
        //         viewHtml += `

        //         <div class="input-group mb-3 mt-3 ">
        //             <div class="input-group-prepend">
        //                 <input class="btn btn-success" type="text"  name="level[]"  value="level ${i+1}" readonly>
        //             </div>
        //             <input type="number" name=commision[] class="form-control"
        //                 placeholder="Commision" min="0" required>

        //             <div class="input-group-append">
        //                 <button class="btn btn-success text-light no-drop" type="button"
        //                     >%</button>
        //                 <button class="btn btn-danger text-white delete_interest" type="button"
        //                     >X</button>
        //             </div>


        //         </div>

        //         `
        //         $('.append_interest').html(viewHtml).hide().slideDown('slow');
        //         $('.interest_commision').val('');
        //         $('.create-interest').show();
        //     }


        // });
        // $(document).on('click', '.delete_interest', function() {
        //     $(this).closest('.input-group').remove();
        //     var count = $('.append_interest').children().length;

        //     if (count == 0) {
        //         $('.create-interest').hide();
        //     }
        // });
    });
</script>



<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/webesite/toptaskk.webesite.xyz/core/resources/views/admin/reffer/index.blade.php ENDPATH**/ ?>